<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/FileTree.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.FileTree</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../Synopsis.html" >Synopsis</a>.FileTree

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="FileTree/Node.html" >Node</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis.FileTree.Node" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/FileTree.py.html#line11" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for directories and files in the tree.</div></div>
<div class="item"><div class="synopsis">class <a href="FileTree/Directory.html" >Directory</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis.FileTree.Directory" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/FileTree.py.html#line21" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">FileTree node for directories.</div></div>
<div class="item"><div class="synopsis">class <a href="FileTree/File.html" >File</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis.FileTree.File" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/FileTree.py.html#line33" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">FileTree node for files.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="make_file_tree">make_file_tree</a>(<span class="variable">files</span>)  </div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis.FileTree.make_file_tree" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/FileTree.py.html#line44" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="FileTree/Node.html" >Node</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis.FileTree.Node" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/FileTree.py.html#line11" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Base class for directories and files in the tree.
    @attr path the path of this node as a string.
    @attr filename the name of the node&#44; i.e. the last element of the
    path string
    </div></div>
<div class="item"><div class="synopsis">class <a href="FileTree/Directory.html" >Directory</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis.FileTree.Directory" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/FileTree.py.html#line21" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">FileTree node for directories.
    @attr path the path of this node as a string.
    @attr filename the name of the directory&#44; i.e. the last element of the
    path string
    @attr children the children of this directory&#44; each Directory or File
    objects.
    </div></div>
<div class="item"><div class="synopsis">class <a href="FileTree/File.html" >File</a></div> <div class="xref"><a href="../../XRef/xref2.html#Synopsis.FileTree.File" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/FileTree.py.html#line33" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">FileTree node for files.
    @attr path the path of this node as a string.
    @attr filename the name of the file&#44; i.e. the last element of the
    path string
    @attr decls the list of declarations in this file.
    </div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:50 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
